// Demonstrate method overloading.  
class Overload {  

  void ovlDemo() {  // definition of a method
    System.out.println("No parameters");  
  }  
   
  
  // Overload ovlDemo for one integer parameter.  
  void ovlDemo(int a) {  
    System.out.println("One parameter: " + a);  
    // now, back to the caller!
  }  
  
  // Overload ovlDemo for two integer parameters.  
  int ovlDemo(int a, double b) {  
    System.out.println("Two parameters: " + a + " " + b);  
    return (int)(a + b); 
  }  
  
    int ovlDemo(double b, int a) {  
      System.out.println("Two parameters: " + a + " " + b);  
      return (int)(a + b); 
  } 
    
  
  // Overload ovlDemo for two double parameters.  
  double ovlDemo(double a, double b) { 
    System.out.println("Two double parameters: " + 
                       a + " "+ b);  
    return a + b;  
  }  
}  
  
class OverloadDemo {  
  public static void main(String args[]) {  
  
    int resI; // instance variables
    double resD;      

    Overload ob = new Overload();

    // call all versions of ovlDemo()  
    ob.ovlDemo(); // call the ovlDemo method on the ob object  
    System.out.println(); // one blank line and a new line feed
 
    ob.ovlDemo(2);  
    System.out.println(); 
 
    resI = ob.ovlDemo(4, 6.0);  // two runtime args  
    System.out.println("Result of ob.ovlDemo(4, 6): " + 
                       resI);  
    System.out.println(); // print blank line
 
 
    resD = ob.ovlDemo(1, 2.32);  // which signature matches?  
    System.out.println("Result of ob.ovlDemo(1.1, 2.2): " + 
                       resD);  
  }  
}