/*
 First Course in Java, EDP321299
   Homework 5
   Student 15, ANDERSON, Damon 
   
   Sample output
   
   My artists are:
    Bob Marley - Exodus
    Charlie Parker - Live at St. Nicks'
    Dr. Octagon - Dr. Octagonecologyst
    De La Soul - Stakes Is High
    Hank Williams - Low Down Blues
    Herbie Hancock - Thrust
    Jimi Hendrix - Band of Gypsys
    Johnny Cash - Orange Blossom Special
    John Coltrane - Giant Steps
    Miles Davis - Sorcerer
    Pink Floyd - Dark Side of the Moon
    Peter Tosh - Legalize It
   
   My albums are:
    Band of Gypsys - Jimi Hendrix
    Dr. Octagonecologyst - Dr. Octagon
    Dark Side of the Moon - Pink Floyd
    Exodus - Bob Marley
    Giant Steps - John Coltrane
    Live at St. Nicks' - Charlie Parker
    Low Down Blues - Hank Williams
    Legalize It - Peter Tosh
    Orange Blossom Special - Johnny Cash
    Stakes Is High - De La Soul
    Sorcerer - Miles Davis
    Thrust - Herbie Hancock

 */


class TheList {
   // creates a 2-dimensional array of strings, with album names and artist names
   String cdCol[][] = { 
         { "Low Down Blues", "Hank Williams" },
         { "Band of Gypsys", "Jimi Hendrix" },
         { "Dark Side of the Moon", "Pink Floyd" },
         { "Exodus", "Bob Marley", },
         { "Orange Blossom Special", "Johnny Cash", },
         { "Dr. Octagonecologyst", "Dr. Octagon", },
         { "Thrust", "Herbie Hancock" },
         { "Sorcerer", "Miles Davis" },
         { "Legalize It", "Peter Tosh" },
         { "Live at St. Nicks'", "Charlie Parker" },
         { "Stakes Is High", "De La Soul" },
         { "Giant Steps", "John Coltrane" }
         };
   
   int size = cdCol.length; // using the length method of the String class
   
   void sortBy(String t) { // create a method that takes an argument 't' to determine what to sort by, "album" or "artist".
      
      int a, b;
      String album, aName;
      
      if (t == "album") {
         int x = 0;
         for(a=1; a < size; a++)
            for(b = size-1; b >= a; b--) {
               //logic for standard Bubble sort adapted for a 2-dimensional array
               //I'm sure there must be an easier way to do this... (trying to alphabetize a multi-dimensional array of strings that is).
               if (cdCol[b-1][x].charAt(0) > cdCol[b][x].charAt(0)) { // uses the charAt method on the cdCol array ***I guess this satisfies the homework! 
                  album = cdCol[b-1][x];
                  aName = cdCol[b-1][x+1];   
                  cdCol[b-1][x] = cdCol[b][x];
                  cdCol[b-1][x+1] = cdCol[b][x+1];
                  cdCol[b][x] = album;
                  cdCol[b][x+1] = aName;
               //}
               }
            }
         
         System.out.print("My " + t + "s are:\n"); 
         for(int i = 0; i < size; i++) { // prints the alphabetized album names, followed by the artist name
            System.out.print(" " + cdCol[i][x] + " - " + cdCol[i][x+1] );
            System.out.println();
         }
         System.out.println();
      }
      
      else if (t == "artist") {
         int x = 1;
         for(a=1; a < size; a++)
            for(b = size-1; b >= a; b--) {
               // same Bubble sort used for "album" block, but altered slightly
               if (cdCol[b-1][x].charAt(0) > cdCol[b][x].charAt(0)) {
                  album = cdCol[b-1][x];
                  aName = cdCol[b-1][x-1];
                  cdCol[b-1][x] = cdCol[b][x];
                  cdCol[b-1][x-1] = cdCol[b][x-1];
                  cdCol[b][x] = album;
                  cdCol[b][x-1] = aName;
               }
            }
         System.out.print("My " + t + "s are:\n");
         
         for(int i = 0; i < size; i++) { // prints the alphabetized artist names, followed by the album name
            System.out.print(" " + cdCol[i][1] + " - " + cdCol[i][x-1] );
            System.out.println();
         }
         System.out.println();
      
         }
      }
   }

class MusicLibrary {
   
   public static void main(String[] args) {
      
      TheList myList = new TheList();
   
      myList.sortBy("artist");
      myList.sortBy("album");
      
   
      }
   }


